.sidebar
{
    position: fixed;
    background-color: #ffffff;
    width: 250px;
    height: 100vh;
    overflow: auto;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    z-index: 1100;
    transition: width 300ms ease-in-out;

    .sidebar-logo
    {
        padding: 16px 20px;
        position: relative;

        .sidebar-inner-logo
        {
            display: flex;
            align-items: center;

            img
            {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
    }

    .sidebar-menu 
    {
        list-style: none;
        padding-inline: 30px;
        padding-bottom: 30px;
        .sub-menu-title
        {
            color: #0091ffa1;
            font-size: 12px;
        }
        li
        {
            .sub-menu
            {
                display: none;
                list-style: none;
                padding-left: 25px;
            }

            .open {
                display: block !important;
            }
        }
        li a
        {
            margin-bottom: 10px;
            transition: 0.2s ease-in-out;
        }
        li a:hover
        {
            background: #0091ffa1;
            padding: 5px 10px;
            border-radius: 5px;
            color: #ffffff;
        }
        li a.active
        {
            background: #0091ffa1;
            padding: 5px 10px;
            border-radius: 5px;
            color: #ffffff;
        }
        li a
        {
            text-decoration: none;
            font-size: 14px;
            color: #000000;
            display: block;
        }
        li a i
        {
            margin-right: 10px;
        }
    }

}
.sidebar::-webkit-scrollbar
{
    width: 3px;
}
.sidebar::-webkit-scrollbar-track
{
    background: transparent;
}
.sidebar::-webkit-scrollbar-thumb
{
    background: #999999;
    border-radius: 10px;
}

.sidebar-hide div > div > div .sidebar  {
    width: 0px !important;
}


.main-wrapper
{
    position: relative;
    margin-left: 250px;
    padding-bottom: 40px;
    transition: margin-left 300ms ease-in-out;

    .header
    {
        position: sticky;
        top: 0;
        padding: 10px 40px;
        background: #ffffff;
        color: #0f0f0f;
        z-index: 1055;

        .header-nav
        {
            display: flex;
            justify-content: space-between;
            align-items: center;

            .header-icon-bar a
            {
                text-decoration: none;
                font-size: 1.5rem;
                color: #0f0f0f;
            }

            .header-menu-nav
            {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 1rem;
            }

            /* Dropdown Profile */
            .header-dropdown
            {
                min-width: 12rem;
                position: relative;

                a
                {
                    text-decoration: none;
                    color: #000;
                }
            }
            .header-dropdown * {
                box-sizing: border-box;
            }
            .header-dropdown-profile
            {
                display: flex;
                justify-content: space-between;
                align-items: center;
                gap: .5rem;
                cursor: pointer;
            }
            .header-dropdown-menu
            {
                background-color: #fff;
                border: 1px solid #d3d3d3;
                border-radius: 0.25rem;
                width: 100%;
                padding: .5rem;
                list-style: none;
                display: none;
                opacity: 0;
                transition: 0.2s;
                z-index: 1;
                top: 50px;
                position: absolute;
            }
            
            .header-dropdown-menu li
            {
                padding: .5rem .7rem;
                border-radius: .5rem;
                cursor: pointer;
            }
            
            .header-dropdown-menu li:hover
            {
                background-color: #f0f0f0;
            }
            
            .header-dropdown-menu-open
            {
                display: block;
                opacity: 1;
            }
        }
    }
    .main
    {
        padding-inline: 40px;
    }
}

.sidebar-hide div > div > div .main-wrapper  {
    margin-left: 0 !important;
}

@media screen and (max-width: 768px)
{

    .sidebar
    {
        display: none;
    }

    .main-wrapper
    {
        margin-left: 0px;

        .header
        {
            .header-nav
            {
                display: flex;
                justify-content: space-between;
                align-items: center;
                .header-dropdown
                {
                    min-width: 0rem;
                    .header-dropdown-name
                    {
                        display: none;
                    }
                }

                .header-dropdown-menu
                {
                    left: -100%;
                }
            }
        }
    }
    
}